LP(1)

NAZWA
lp - wysyła żądania do usługi druku LPRng

SKŁADNIA

lp  [-A] [-c] [-m] [-p] [-s] [-w] [-d dest]
    [-f form-name [-d cokolwiek]] [-H special-handling]
    [-n number] [-o option] [-P page-list]
    [-q priority-level] [-S character-set [-d cokolwiek]]
    [-S print-wheel] [-t title] [-T content-type [-r]]
    [-y mode-list] [-D debug-options] [file...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Gdy należący do LPRng klient lpr zostanie wywołany pod nazwą lp, to obsługuje interfejs lp. Zwykle robi się to tworząc dowiązanie symboliczne o nazwie lp do programu lpr. Jest to podobne do zachowania programów ex(1) i vi(1). Obsługiwana postać polecenia lp organizuje wydruk wskazanego pliku(ów) file i skojarzonej z nim informacji (łącznie zwanych żądaniem, request). Jeżeli w wierszu poleceń nie podano żadnego pliku, to przyjmowane jest standardowe wejście. Można też w wierszu poleceń podać standardowe wejście razem ze wskazaniem pliku(ów) wymieniając nazwy plików i podając - (myślnik) dla standardowego wejścia. Pliki zostaną wydrukowane w kolejności, w jakiej wystąpiły w wierszu poleceń.

Usługa drukowania LP z każdym żądaniem kojarzy unikalny identyfikator żądania (request-ID) i wyświetla go na standardowym wyjściu. Fragmentu będącego numerem żądania lub pełnego ID-żądania można użyć później jako argumentu dla cancel(1) lub lprm(1) przy anulowaniu zadania lub przy określaniu jego stanu. W podręcznikach systemowych cancel(1) i lprm(1) zawarto szczegóły dotyczące anulowania zadań, zaś w lpstat(1) i lpq(1) informacje o sprawdzaniu stanu żądania druku.

OPCJE

Opcje lp zawsze poprzedzają ewentualne nazwy plików, ale mogą być podane w dowolnej kolejności. Dostępne są poniższe opcje:

-A  Używa uwierzytelnianego przesyłania. Zauważ, że nie jest to standardowa opcja lp(1), lecz została dodana w celu utrzymania zgodności z LPRng.

-c  Tworzy kopię pliku file przed jego drukowaniem. (Nie ma to żadnego skutku, gdyż LPRng zawsze wysyła zadania bezzwłocznie na serwer zdalny, gdzie będą drukowane.)

-d dest
    Wybiera dest jako drukarkę lub klasę drukarek, które mają wykonać wydruk. Domyślnie, dest pobierane jest ze zmiennej środowiska LPDEST (jeśli jest ona ustawiona), a następnie z PRINTER . W przeciwnym wypadku używane jest (jeśli istnieje) domyślne miejsce docelowe w danym systemie komputerowym.

-f form-name
    Drukuje żądanie na formularzu o nazwie form-name. Pierwsza litera form-name stosowana jest jako format filtru LPRng. Jest to zbliżone do opcji -F polecenia lpr.

-H special-handling
    Te opcje są ignorowane.

-m  Po wydrukowaniu plików wysyła wiadomość pocztową do użytkownika (zobacz mail(1)). Adres pocztowy pobierany jest ze zmiennej środowiska USER. Domyślnie, po normalnym zakończeniu wydruku żądania nie jest wysyłana żadna poczta.

-n number
    Drukuje określoną przez number liczbę kopii (domyślnie jest to 1).

-o option
    Określa opcje zależne do drukarki. Kilka takich opcji można połączyć podając literę kluczową -o wielokrotnie (-o $opcja sub 1$ -o $opcja sub 2$ ... -o $opcja sub n$), lub podając po literze -o listę opcji ujętą w cudzysłowy (to jest, -o "$opcja sub 1$ $opcja sub 2$ ... $opcja sub n$"). Poniższe opcje mają efekt natychmiastowy; inne opcje przesyłane są jako pozycja Z wiersza pliku sterującego, tj. jako opcja -Z polecenia lpr(1).

    nobanner
        Nie drukuje nstony tytułowej przy tym żądaniu. Jest to to samo, co opcja -h (no header) polecenia lpr(1).

    width=number
        Drukuje to żądanie z szerokością strony ustawioną na number kolumn. Jest to to samo, co opcja -w width polecenia lpr(1).

-P page-list
    Drukuje strony ujęte na liście page-list. Ta opcja jest ignorowana.

-p  Włącza powiadamianie o zakończeniu wydruku żądania. Ta opcja jest ignorowana.

-q priority-level
    Przypisuje temu żądaniu poziom priorytetu priority-level w kolejce druku. Poziomu priorytetu jest liczbą z zakresu od 0, najwyższy priorytet, do 25, najniższy. Jeżeli nie podano priorytetu, to stosowany jest domyślny priorytet dla usługi druku, przypisany przez administratora systemu. Administrator może ustalić limit priorytetu dla konkretnych użytkowników. Wartości liczbowe są przekładane na odpowiadające im literowe wartości priorytetu.

-s  Eliminuje komunikaty od lp, jak te rozpoczynające się od "request id is...".

-S character-set
-S print-wheel
    Drukuje to żądanie używając podanego zestawu znaków character-set lub głowicy print-wheel (w drukarkach rozetkowych). Opcje te są przekazywane jako opcja -Z polecenia lpr(1).

-t title
    Drukuje tytuł title na stronie tytułowej wyjścia. Jeżeli nie podano tytułu, to na stronie tytułowej drukowana jest nazwa pliku. Jeżeli tytuł zawiera odstępy, to należy umieścić go w cudzysłowach.

-T content-type [-r]
    Drukuje żądanie na drukarce potrafiącej obsługiwać podany typ zawartości content-type. Typ zawartości jest przekazywany jako opcja -Z polecenia lpr(1).

-w  Wypisuje komunikat na terminalu użytkownika po wydrukowaniu zadanych plików. Ta opcja jest ignorowana.

-y mode-list
    Drukuje to żądanie zgodnie z trybami druku wyszczególnionymi w mode-list. Podana lista trybów jest przekazywana jako opcja -Z polecenia lpr(1).

-D debug-options
    Podaje listę opcji diagnostycznych programu. Może to być liczba (poziom debuggowania) lub słowo kluczowe i poziom (flaga), jak 9, network, network+2 itp.

OPERANDY
lp obsługuje następujące operandy:

file
    Nazwa pliku, jaki ma zostać wydrukowany. Jeżeli nie podano żadnych nazw plików, lub gdy nazwą jest -, to używane będzie standardowe wejście. Argument - musi być ostatnim na liście.

ŚRODOWISKO
Zobacz w podręczniku systemowym environ(5), opisy poniższych zmiennych środowiska wpływających na wykonanie lp i cancel:

LPDEST
    Określa urządzenie wyjściowe lub miejsce przeznaczenia. LPDEST nie jest ustawiona, to zastosowana zostanie zmienna PRINTER. Opcja -P dest ma pierwszeństwo nad LPDEST. Jeżeli nie podano -P a LPDEST zawiera wartość nie będącą poprawnym urządzeniem lub nazwą określającą miejsce przeznaczenia, to wyniki będą niezdefiniowane.

PRINTER
    Określa urządzenie wyjściowe lub miejsce przeznaczenia. Jeżeli nie ustawiono LPDEST ani PRINTER, to stosowane jest nieokreślone urządzenie wyjściowe. Opcja -P dest i zmienna środowiska LPDEST mają pierwszeństwo nad PRINTER. Jeżeli nie podano -P, LPDEST nie jest ustawione, zaś PRINTER zawiera wartość nie będącą poprawnym urządzeniem lub nazwą określającą miejsce przeznaczenia, to wyniki będą niezdefiniowane.

KOD ZAKOŃCZENIA
lp zwraca następujące kody zakończenia:

0   Wszystkie pliki wejściowe przetworzono pomyślnie.

>0  Nie było dostępne żadne urządzenie wyjściowe lub wystąpił błąd.

ZOBACZ TAKŻE
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTYKA
Większość komunikatów diagnostycznych jest oczywista. Jeśli dokładny powód niepowodzenia pozostaje niejasny, należy włączyć poziom debugowania (-D5) i uruchomić ponownie. Informacja diagnostyczna pomoże uchwycić dokładną przyczynę.

HISTORIA
LPRng jest rozszerzonym systemem buforowania wydruku o funkcjonalności podobnej do oprogramowania Berkeley LPR. Listą dyskusyjną o LPRng jest lprng@lprng.com; subskrypcja przez wysłanie listu do lprng-request@lprng.com ze słowem `subscribe` w treści. Oprogramowanie to jest dostępne z ftp://ftp.astart.com/pub/LPRng.

AUTOR
Patrick Powell <papowell@astart.com>.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 lp

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.